Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	The Ext2 Filesystem Utilities (e2fsprogs) contain all of the standard utilities for creating, fixing, configuring , and debugging ext2 filesystems.
Name:		e2fsprogs
Version:	1.41.0
Release:	1
License:	GNU/GPL
URL:		http://e2fsprogs.sourceforge.net/
Group:		System/Base
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
PreReq:		/sbin/install-info
BuildRequires:	glibc-devel

# PreReq for rpm lzma compression
Requires:        rpm >= 4.4.2.3-1

%description
The Ext2 Filesystem Utilities (e2fsprogs) contain all of the standard utilities
for creating, fixing, configuring , and debugging ext2 filesystems.

%package	devel
Summary:	development headers for e2fsprogs
License:	GNU/GPL
Group:		System/Base
Requires:	e2fsprogs = %{version}-%{release}

%description	devel
development headers for e2fsprogs

%post
/sbin/install-info %{_infodir}/libext2fs.info.gz %{_infodir}/dir
ldconfig

%postun
ldconfig

 
%preun 
if [ "$1" = 0 ]; then 
     /sbin/install-info --del %{_infodir}/libext2fs.info.gz %{_infodir}/dir 
fi 

%prep
%setup -n %{name}-%{version}

%build
sed -i -e 's/-DTEST/$(ALL_CFLAGS) &/' lib/e2p/Makefile.in
mkdir build
cd build
../configure --prefix=%{_prefix} --mandir=%{_mandir} --infodir=%{_infodir} --with-root-prefix="" --enable-elf-shlibs --disable-evms
make %{?_smp_mflags}
make %{?_smp_mflags} check

%install
cd build
make install DESTDIR=$RPM_BUILD_ROOT 
make install-libs DESTDIR=$RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%_sysconfdir/mke2fs.conf
/sbin/*
/usr/sbin/*
/lib/*
%{_bindir}/*
%{_mandir}/*
%{_datadir}/locale/*
%{_datadir}/et/*
%{_datadir}/ss/*
%{_infodir}/*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jul 12 2008 Christian Metzen <metzench@ccux-linux.de> 1.41.0-1
- Version update
* Tue May 27 2008 Christian Wasem <wasem@ccux-linux.de> 1.40.10-3
- rebuild against xorg-apps
* Sun May 25 2008 Christian Wasem <wasem@ccux-linux.de> 1.40.10-2
- added PreReq rpm
* Sat May 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.40.10-1
- Version update
* Mon Apr 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.40.9-1
- Version update
* Sun Mar 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.40.8-1
- Version update
* Sat Mar 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.40.7-1
- Version update
* Sun Feb 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.40.6-1
- Version update
* Sun Feb 03 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.40.5-1
- Version update
* Tue Jan 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.40.4-1
- Version update
* Sat Aug 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.40.2-1
- Version update
* Tue Jul 10 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.40-1
- Version update
* Wed Oct 11 2006 Christian Metzen <metzench@ccux-linux.de> 1.39-1
- Version update
* Sun Jul 10 2005 Christian Metzen <metzench@ccux-linux.de> 1.38-2
- Added prereq tag, moved more file to devel package
* Sun Jul 03 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 1.38-1
- Version Update to 1.38, rebuilt spec 
* Wed Apr 14 2004 Christian Metzen <metzench@ccux-linux.de> 1.35-1
- Initial Release
